POST TimeSaver/PostEmployeeScanOuts
Request Information
URI Parameters
None.
Body Parameters
EmployeeScanOut| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| LoggedInUserID | globally unique identifier |
Required |
|
| EmployeeID | globally unique identifier |
Required |
|
| ClockOutTime | date |
Required |
|
| IsProcessed | boolean |
Required |
|
| ProcessedDate | date |
None. |
|
| ClockOutTypeID | ClockOutType |
None. |
|
| ClockOutReason | string |
None. |
|
| Latitude | decimal number |
None. |
|
| Longitude | decimal number |
None. |
|
| FacialVerifed | boolean |
Required |
|
| FacialMatch | boolean |
Required |
|
| FacialConfidence | decimal number |
Required |
|
| PhotoID | globally unique identifier |
None. |
|
| IsActive | boolean |
Required |
Request Formats
application/json, text/json
Sample:
{
"id": "06cff8e4-05fa-4fff-8219-7401fad234e3",
"loggedInUserID": "cabc9bbe-1fe0-4968-b3fb-d5a3af542589",
"employeeID": "ed75b23a-d4b0-4e43-882e-56e39c1e4a49",
"clockOutTime": "2026-06-12T22:59:21.6316895+00:00",
"isProcessed": true,
"processedDate": "2026-06-12T22:59:21.6316895+00:00",
"clockOutTypeID": 1,
"clockOutReason": "sample string 6",
"latitude": 1.1,
"longitude": 1.1,
"facialVerifed": true,
"facialMatch": true,
"facialConfidence": 9.0,
"photoID": "98f8578d-94a9-4b1e-9db7-5ac8e49702c3",
"isActive": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.